#include "defines.h"
#include "serial.h"
#include "lib.h"
#include "register.h"
#include "pll.h"

/* CPUν 1Ƥ */
static void cpu_init(void)
{
  /* 
   * I/O쥸˥WAIT
   * 0x00: WAIT̵
   * 0x01: WAITͭ
   */
  V850ES_JG2_VSWC = 0x01;

  /*
   * åץǥХå
   * 0x00: Ѥʤ
   * 0x01: Ѥ
   */
  V850ES_JG2_OCDM = 0x00;

  /*
   * åɥåޤ
   * 0x00 : Ѥʤ
   * other: Ѥ
   */
  V850ES_JG2_WDTM2 = 0x00;

  /*
   * ¢ȯ
   * åɥåޤѤʤȤȯʤ
   * 0x00: ȯ
   * 0x01: ȯʤ
   */
  V850ES_JG2_RCM = 0x01;
}

int main(void)
{
  cpu_init();
  pll_init();
  serial_init(SERIAL_DEFAULT_DEVICE);

  puts("Hello World!\n");

  while (1)
    ;

  return 0;
}
